Index: trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 5953)
+++ trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 6066)
@@ -543,106 +588,117 @@
 	
 	for( var i = 0; i < statusLabels.length; i++ )
-		statusParticipants[ statusLabels[i] ] = 0;
+	    statusParticipants[ statusLabels[i] ] = 0;
 	
 	var res = $.map(evtObj, function( objEvent ){			
 		    
-			if(!(typeof(objEvent) == 'object'))
-				return (null);
-
-			var Owner = decodeOwnerCalendar(objEvent.calendar);
-
-			var participantInfo = {}, delegatedFrom = {}, me = DataLayer.copy( Owner );
+	    if(!(typeof(objEvent) == 'object'))
+		return (null);
+
+	    var isAttendee = false;
+	    var Owner = decodeOwnerCalendar(objEvent.calendar);
+
+	    var participantInfo = {}, delegatedFrom = {}, me = DataLayer.copy( Owner );
 			
-			var constantAcl = function(acl){
-			var returns = {};
-			for (var i in constantsParticipant){
-				returns[constantsParticipant[i]] = acl.indexOf(i) >= 0 ? true : false
-			}
-			return returns;
+	    var constantAcl = function(acl){
+		var returns = {};
+		for (var i in constantsParticipant){
+		    returns[constantsParticipant[i]] = acl.indexOf(i) >= 0 ? true : false
+		}
+		return returns;
+	    };
+
+	    return {
+		"class": objEvent["class"],
+		id: objEvent.id,
+		repeat: encodeRepeat( objEvent.repeat ),
+		location: objEvent.location,
+		category: objEvent.category,
+		calendars: Calendar.calendars,
+		calendar: objEvent.calendar,
+		summary: objEvent.summary,
+		description: objEvent.description,
+		timezone: objEvent.timezone,
+		timezones: Timezone.timezones,
+		startDate: new Date( parseInt(objEvent.startTime) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+		startHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.startTime)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
+		endDate: new Date( parseInt(objEvent.endTime) - (!!parseInt(objEvent.allDay) ? 86400000 : 0)  ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
+		endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(objEvent.endTime)),  objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'endTime'), User.preferences.hourFormat),
+		allDay: !!parseInt( objEvent.allDay ),
+		attachments: $.map(objEvent.attachments || [], function( attachment, i ){
+		    var attach = DataLayer.get('schedulableToAttachment', attachment, false);
+		    var ext = attach.name.split('.');
+		    attach.name = attach.name.length < 10 ?  attach.name : ( ext.length == 1 ? attach.name.substr(0, 10) : (attach.name.substr(0, 6) + '.' +  ext[ext.length -1]));
+		    attach.size = formatBytes(attach.size);
+		    return attach;
+		}),						
+		attendee: $.map(objEvent.participants || [], function( participant, i ){						
+
+		    if(delegateAttendee[participant])
+			return(null);
+
+		    var attend = DataLayer.get('participant', (participant.id || participant));
+		    attend.user = DataLayer.get('user', attend.user);
+
+		    statusParticipants[ statusLabels[attend.status] ]++;  	
+
+		    if(attend.user.mail == User.me.mail)
+			isAttendee = true;
+
+		    if( attend.user.id ===  me.id ){
+			participantInfo.user = {
+			    id: attend.id,
+			    status : attend.status,
+			    delegatedFrom: attend.delegatedFrom || '0',
+			    acl: attend.acl,
+			    receiveNotification : attend.receiveNotification,
+			    alarms : $.map(attend.alarms || [], function( alarm ){
+				var alarm = DataLayer.get('alarm', alarm);
+				return (alarm == "" ? (null) : alarm);
+			    })
 			};
-
-		    return {
-			    "class": objEvent["class"],
-			    id: objEvent.id,
-			    repeat: encodeRepeat( objEvent.repeat ),
-			    location: objEvent.location,
-			    category: objEvent.category,
-			    calendars: Calendar.calendars,
-			    calendar: objEvent.calendar,
-			    summary: objEvent.summary,
-			    description: objEvent.description,
-			    timezone: objEvent.timezone,
-			    timezones: Timezone.timezones,
-			    startDate: new Date( parseInt(objEvent.startTime) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
-			    startHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date( parseInt(objEvent.startTime)), objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'startTime'), User.preferences.hourFormat),
-			    endDate: new Date( parseInt(objEvent.endTime) - (!!parseInt(objEvent.allDay) ? 86400000 : 0)  ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
-			    endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(objEvent.endTime)),  objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'endTime'), User.preferences.hourFormat),
-			    allDay: !!parseInt( objEvent.allDay ),
-			    attachments: $.map(objEvent.attachments || [], function( attachment, i ){
-					var attach = DataLayer.get('schedulableToAttachment', attachment, false);
-                                        var ext = attach.name.split('.');
-					attach.name = attach.name.length < 10 ?  attach.name : ( ext.length == 1 ? attach.name.substr(0, 10) : (attach.name.substr(0, 6) + '.' +  ext[ext.length -1]));
-					attach.size = formatBytes(attach.size);
-					return attach;
-				}),						
-			    attendee: $.map(objEvent.participants || [], function( participant, i ){						
-
-				if(delegateAttendee[participant])
-					return(null);
-
-				var attend = DataLayer.get('participant', (participant.id || participant));
-				attend.user = DataLayer.get('user', attend.user);
-
-				statusParticipants[ statusLabels[attend.status] ]++;  	
-
-				if( attend.user.id ===  me.id ){
-				    participantInfo.user = {
-					id: attend.id,
-					status : attend.status,
-					delegatedFrom: attend.delegatedFrom || '0',
-					acl: attend.acl,
-					receiveNotification : attend.receiveNotification,
-					alarms : $.map(attend.alarms || [], function( alarm ){
-					    var alarm = DataLayer.get('alarm', alarm);
-					    return (alarm == "" ? (null) : alarm);
-					})
-				    };
-				    me.id = attend.id;
-				    return(null);
-				};
-
-				var person = {
-				    id: attend.id,
-				    name: attend.user.name != 'false' ? attend.user.name : '',
-				    mail: attend.user.mail,
-				    status : attend.status,
-				    isExternal: attend.isExternal,
-				    acl: attend.acl,
-				    delegatedFrom: attend.delegatedFrom
-				};
-
-				if(!!parseInt(attend.delegatedFrom)){
-				    delegatedFrom[attend.delegatedFrom] = DataLayer.copy(person);
-					return(null);
-				}
-
-				if( !!parseInt(attend.isOrganizer )){
-				    participantInfo.organizer = DataLayer.copy(person);
-					return(null);
-				};					
-
-				return (person);
-			    }),
-			    organizer: participantInfo.organizer || me,
-			    alarms: !!participantInfo.user ? participantInfo.user.alarms : [],
-			    status: !!participantInfo.user ? participantInfo.user.status : 1,
-				acl: !!participantInfo.user ? constantAcl(participantInfo.user.acl) : constantAcl( 'rowi' ),
-				isShared: !this.id ? false : (!!objEvent.calendar) && parseInt(Calendar.signatureOf[objEvent.calendar].isOwner) ? false : true,
-			    me: !!participantInfo.user ? DataLayer.merge(participantInfo.user, me) : DataLayer.merge(this.isShared ? this.organizer :  me, {acl:  !this.isShared ? 'rowi' : Calendar.signatureOf[objEvent.calendar].permission.aclValues, delegatedFrom: 0, receiveNotification: 1}),
-				delegatedFrom: delegatedFrom,
+			me.id = attend.id;
+			return(null);
+		    };
+
+		    var person = {
+			id: attend.id,
+			name: attend.user.name != 'false' ? attend.user.name : '',
+			mail: attend.user.mail,
+			status : attend.status,
+			isExternal: attend.isExternal,
+			acl: attend.acl,
+			delegatedFrom: attend.delegatedFrom
+		    };
+
+		    if(!!parseInt(attend.delegatedFrom)){
+			delegatedFrom[attend.delegatedFrom] = DataLayer.copy(person);
+			return(null);
+		    }
+
+		    if( !!parseInt(attend.isOrganizer )){
+			participantInfo.organizer = DataLayer.copy(person);
+			return(null);
+		    };					
+
+		    return (person);
+		}),
+		organizer: participantInfo.organizer || me,
+		alarms: !!participantInfo.user ? participantInfo.user.alarms : [],
+		status: !!participantInfo.user ? participantInfo.user.status : 1,
+		acl: !!participantInfo.user ? constantAcl(participantInfo.user.acl) : ( ( !objEvent.id || isAttendee ) ? constantAcl( 'rowi' ) : constantAcl( 'r' )),
+		isShared: !this.id ? false : (!!objEvent.calendar) && parseInt(Calendar.signatureOf[objEvent.calendar].isOwner) ? false : true,
+		isAttendee: (isAttendee ? true : (objEvent.id && !this.isShared ? false : true)),
+		me: ((!objEvent.id) || ( objEvent.id && isAttendee)) ? (!!participantInfo.user ? DataLayer.merge(participantInfo.user, me) : DataLayer.merge(this.isShared ? this.organizer :  me, {
+		    acl:  !this.isShared ? 'rowi' : Calendar.signatureOf[objEvent.calendar].permission.aclValues, 
+		    delegatedFrom: 0, 
+		    receiveNotification: 1
+		})) : (DataLayer.merge( ( participantInfo.organizer || me), {
+		    acl: 'r'
+		} ) ),
+		delegatedFrom: delegatedFrom,
 				
-				statusParticipants: statusParticipants
-			};
-		});
+		statusParticipants: statusParticipants
+	    };
+	});
 	return (notArray ? res[0] : res);
     }
@@ -652,12 +708,17 @@
 function decodeOwnerCalendar(calendar){
     if(calendar && !parseInt(Calendar.signatureOf[calendar].isOwner)){
-	var Owner = DataLayer.get('calendarSignature', {filter: ['AND', ['=','calendar', calendar], ['=','isOwner','1']], criteria: {deepness: 2}});
-
-	if($.isArray(Owner))
-	    Owner = Owner[0];
-	
-	return Owner.user;
-    }
-    return User.me;
+	var Owner = DataLayer.get('calendarSignature', {
+	    filter: ['AND', ['=','calendar', calendar], ['=','isOwner','1']], 
+	    criteria: {
+		deepness: 2
+	    }
+	});
+
+    if($.isArray(Owner))
+	Owner = Owner[0];
+	
+    return Owner.user;
+}
+return User.me;
 
     
@@ -666,57 +727,57 @@
 function decodeRepeat ( form ) {
 
-	var patati = {};
-	
-	if( form.repeatId )
-	    patati['id'] = form.repeatId;
-
-	patati['frequency'] = form.frequency;
-
- 	patati['bymonthday'] = patati['byyearday'] = patati['byday'] = '';
-	
-	patati['interval'] = patati['endTime'] = patati['count'] = patati['startTime'] = 0;
-	
-	if( form.frequency === 'none' )
-	    return( patati );
-	
-	var day = [];
-
-	$("input[type=checkbox][name='repeatweekly[]']:checked").each(function() { 
-		day[ day.length ] = $(this).val();
-	});
-
-	patati['byday'] = day.join(',');
-
-	var formatString = ( typeof form.allDay !== "undefined" && !!form.allDay )? User.preferences.dateFormat+" HH:mm" : User.preferences.dateFormat + " " + User.preferences.hourFormat;
-
-	var date = Date.parseExact( form.startDate + (!!form.allDay ? " 00:00": " "+$.trim(form.startHour)) , formatString );
-	
-	patati['startTime'] = date.toString('yyyy-MM-dd HH:mm:00');
-	
-	if( !patati['byday'] )
-	      switch(form.frequency) {
-	      case 'weekly':      
-		      break;
-	      case 'daily':
-		      break;
-	      case 'monthly':
-		      patati['bymonthday'] = date.getDate();
-		      break;
-	      case 'yearly':
-		      patati['byyearday'] = date.getDayOfYear();
-		      break;
-	      default :
-		      return patati;
-	      }
-
-	if (($(".endRepeat").val() == 'occurrences')) 
-		patati['count'] = $(".occurrencesEnd").val(); 
-	
-	if (($(".endRepeat").val() == 'customDate'))
-		patati['endTime'] = Date.parseExact( $(".customDateEnd").val() + (!!form.allDay ? " 00:00": " "+$.trim(form.endHour)) , formatString ).toString('yyyy-MM-dd HH:mm:00');
-	
-	patati['interval']  = $(".eventInterval").val();
-
-	/**
+    var patati = {};
+	
+    if( form.repeatId )
+	patati['id'] = form.repeatId;
+
+    patati['frequency'] = form.frequency;
+
+    patati['bymonthday'] = patati['byyearday'] = patati['byday'] = '';
+	
+    patati['interval'] = patati['endTime'] = patati['count'] = patati['startTime'] = 0;
+	
+    if( form.frequency === 'none' )
+	return( patati );
+	
+    var day = [];
+
+    $("input[type=checkbox][name='repeatweekly[]']:checked").each(function() { 
+	day[ day.length ] = $(this).val();
+    });
+
+    patati['byday'] = day.join(',');
+
+    var formatString = ( typeof form.allDay !== "undefined" && !!form.allDay )? User.preferences.dateFormat+" HH:mm" : User.preferences.dateFormat + " " + User.preferences.hourFormat;
+
+    var date = Date.parseExact( form.startDate + (!!form.allDay ? " 00:00": " "+$.trim(form.startHour)) , formatString );
+	
+    patati['startTime'] = date.toString('yyyy-MM-dd HH:mm:00');
+	
+    if( !patati['byday'] )
+	switch(form.frequency) {
+	    case 'weekly':
+		break;
+	    case 'daily':
+		break;
+	    case 'monthly':
+		patati['bymonthday'] = date.getDate();
+		break;
+	    case 'yearly':
+		patati['byyearday'] = date.getDayOfYear();
+		break;
+	    default :
+		return patati;
+	}
+
+    if (($(".endRepeat").val() == 'occurrences')) 
+	patati['count'] = $(".occurrencesEnd").val(); 
+	
+    if (($(".endRepeat").val() == 'customDate'))
+	patati['endTime'] = Date.parseExact( $(".customDateEnd").val() + (!!form.allDay ? " 00:00": " "+$.trim(form.endHour)) , formatString ).toString('yyyy-MM-dd HH:mm:00');
+	
+    patati['interval']  = $(".eventInterval").val();
+
+    /**
 	wkst = [ 'MO', 'TU', 'WE', 'TH', 'FR', 'SA', 'SU' ]
 	weekno = number
@@ -740,10 +801,10 @@
 function encodeRepeat( repeat ){
   
-	if( !repeat )
-	    return( false );
-	if(typeof(repeat) == "object")
-	    return repeat;
-
-	return DataLayer.get( 'repeat', repeat );
+    if( !repeat )
+	return( false );
+    if(typeof(repeat) == "object")
+	return repeat;
+
+    return DataLayer.get( 'repeat', repeat );
 }
 
@@ -755,5 +816,5 @@
 	
 	if( notArray = $.type(evtObj) !== "array" )
-		evtObj = [ evtObj ];
+	    evtObj = [ evtObj ];
 
 	var pref = User.preferences;
@@ -761,59 +822,75 @@
 	var res = $.map(evtObj, function( form ){
     
-		    var tzId =  form.timezone || Calendar.signatureOf[form.calendar].calendar.timezone || User.preferences.timezone,
-
-		    formatString = ( typeof form.allDay !== "undefined" && !!form.allDay )? pref.dateFormat+" HH:mm" : pref.dateFormat + " " + pref.hourFormat;
-
-		    var Owner = decodeOwnerCalendar(form.calendar);
-
+	    var tzId =  form.timezone || Calendar.signatureOf[form.calendar].calendar.timezone || User.preferences.timezone,
+
+	    formatString = ( typeof form.allDay !== "undefined" && !!form.allDay )? pref.dateFormat+" HH:mm" : pref.dateFormat + " " + pref.hourFormat;
+
+	    var Owner = decodeOwnerCalendar(form.calendar);
+
+	    return {
+		"class": form["class"],
+		startTime: Date.parseExact(form.startDate + (!!form.allDay ? " 00:00": " "+$.trim(form.startHour)) , formatString ).toString('yyyy-MM-dd HH:mm:00'),
+		endTime:  Date.parseExact(form.endDate + ( !!form.allDay ? " 00:00": " "+$.trim(form.endHour)), formatString ).toString('yyyy-MM-dd HH:mm:00'),  //+ (!!form.allDay ? 86400000 : 0) ,
+		allDay: ( !!form.allDay ? 1 : 0 ),       
+		id: form.idEvent,
+		location: form.location,
+		category: form.category,
+		calendar: form.calendar,
+		summary: form.summary,
+		description: form.description,
+		timezone: tzId,
+		attachments: $.map(form.attachment || [], function( attachment, i ){
 		    return {
-			    "class": form["class"],
-			    startTime: Date.parseExact(form.startDate + (!!form.allDay ? " 00:00": " "+$.trim(form.startHour)) , formatString ).toString('yyyy-MM-dd HH:mm:00'),
-			    endTime:  Date.parseExact(form.endDate + ( !!form.allDay ? " 00:00": " "+$.trim(form.endHour)), formatString ).toString('yyyy-MM-dd HH:mm:00'),  //+ (!!form.allDay ? 86400000 : 0) ,
-			    allDay: ( !!form.allDay ? 1 : 0 ),       
-			    id: form.idEvent,
-			    location: form.location,
-			    category: form.category,
-			    calendar: form.calendar,
-			    summary: form.summary,
-			    description: form.description,
-			    timezone: tzId,
-			    attachments: $.map(form.attachment || [], function( attachment, i ){
-					return {attachment: attachment}
+			attachment: attachment
+		    }
+		}),
+		repeat: this.decodeRepeat( form ),
+		participants: $.map( form.attendee || [], function( attendee, i ){
+
+		    if( !attendee || attendee === "" )
+			return( null );
+
+		    var participant = {};
+		    participant.user = (attendee!= User.me.id) ? DataLayer.get('participant', attendee).user : attendee ;
+
+		    if( participant.user === Owner.id ){
+			return DataLayer.merge({
+			    id: attendee,
+			    isOrganizer: (form.attendee_organizer == attendee ? 1 : 0 ),
+			    acl: form.attendee_organizer == attendee ? (form.attendeeAcl[i].indexOf('o') < 0 ? form.attendeeAcl[i]+'o' : form.attendeeAcl[i]) : form.attendeeAcl[i].replace('o', ''),
+			    alarms: participant.alarms = $.map( form.alarmTime || [], function( alarmTime, i ){
+				if( alarmTime === "" )
+				    return( null );
+				return !!form.alarmId[i] ? {
+				    type: form.alarmType[i], 
+				    unit: form.alarmUnit[i], 
+				    time: form.alarmTime[i], 
+				    id: form.alarmId[i]
+				    }:
+
+				    {
+				    type: form.alarmType[i],
+				    unit: form.alarmUnit[i], 
+				    time: form.alarmTime[i]
+				    };
 			    }),
-			    repeat: this.decodeRepeat( form ),
-			    participants: $.map( form.attendee || [], function( attendee, i ){
-
-				if( !attendee || attendee === "" )
-				    return( null );
-
-				var participant = {};
-				participant.user = (attendee!= User.me.id) ? DataLayer.get('participant', attendee).user : attendee ;
-
-				if( participant.user === Owner.id ){
-				    return DataLayer.merge({
-				    id: attendee,
-				    isOrganizer: (form.attendee_organizer == attendee ? 1 : 0 ),
-				    acl: form.attendee_organizer == attendee ? (form.attendeeAcl[i].indexOf('o') < 0 ? form.attendeeAcl[i]+'o' : form.attendeeAcl[i]) : form.attendeeAcl[i].replace('o', ''),
-				    alarms: participant.alarms = $.map( form.alarmTime || [], function( alarmTime, i ){
-					if( alarmTime === "" )
-					    return( null );
-					return !!form.alarmId[i] ? { type: form.alarmType[i], unit: form.alarmUnit[i], time: form.alarmTime[i], id: form.alarmId[i] }:
-					    { type: form.alarmType[i],unit: form.alarmUnit[i], time: form.alarmTime[i] };
-					}),
-				    status: !!form.status ? form.status : 3
-				    }, form.delegatedFrom[i] != '0' ? {delegatedFrom: form.delegatedFrom[i]} : {});
-				}else{
-				    return DataLayer.merge({
-					id: attendee,
-					acl: form.attendeeAcl[i],
-					isOrganizer: (form.attendee_organizer == attendee ? 1 : 0 ),
-					isExternal: !!parseInt(form.attendeeType[i]) ? 1 : 0,
-					acl: form.attendee_organizer == attendee ? (form.attendeeAcl[i].indexOf('o') < 0 ? form.attendeeAcl[i]+'o' : form.attendeeAcl[i]) : form.attendeeAcl[i].replace('o', '')
-				    }, form.delegatedFrom[i] != '0' ? {delegatedFrom: form.delegatedFrom[i]} : {});
-				};
-			    })
-			};
-		    });
+			    status: !!form.status ? form.status : 3
+			}, (form.delegatedFrom[i] != '0' && form.delegatedFrom[i] != '')  ? {
+			    delegatedFrom: form.delegatedFrom[i]
+			    } : {});
+		    }else{
+			return DataLayer.merge({
+			    id: attendee,
+			    acl: form.attendeeAcl[i],
+			    isOrganizer: (form.attendee_organizer == attendee ? 1 : 0 ),
+			    isExternal: !!parseInt(form.attendeeType[i]) ? 1 : 0,
+			    acl: form.attendee_organizer == attendee ? (form.attendeeAcl[i].indexOf('o') < 0 ? form.attendeeAcl[i]+'o' : form.attendeeAcl[i]) : form.attendeeAcl[i].replace('o', '')
+			}, form.delegatedFrom[i] != '0' ? {
+			    delegatedFrom: form.delegatedFrom[i]
+			    } : {});
+		    };
+		})
+	    };
+	});
 
 	return notArray ? res[0] : res;
@@ -823,68 +900,77 @@
     encoder: function( evtObj ){
 	
-		if(!(!!evtObj))
-			return undefined;
-
-		var notArray = false;
+	if(!(!!evtObj))
+	    return undefined;
+
+	var notArray = false;
 		  
-		if( notArray = $.type(evtObj) !== "array" )
-			evtObj = [ evtObj ];
-
-		var pref = User.preferences;
-
-		var res =  DataLayer.encode('schedulable:preview', evtObj);
-
-		if( !notArray ){
-			var dates = {};
-			var typeRepeat = {'none': false, 
-					'daily': 'Repetição diária',
-					'weekly': 'Repetição semanal',
-					'monthly': 'Repetição mensal',
-					'yearly': 'repetição anual'}
-
-			for (var i=0; i < res.length; i++) {
+	if( notArray = $.type(evtObj) !== "array" )
+	    evtObj = [ evtObj ];
+
+	var pref = User.preferences;
+
+	var res =  DataLayer.encode('schedulable:preview', evtObj);
+
+	if( !notArray ){
+	    var dates = {};
+	    var typeRepeat = {
+		'none': false, 
+		'daily': 'Repetição diária',
+		'weekly': 'Repetição semanal',
+		'monthly': 'Repetição mensal',
+		'yearly': 'repetição anual'
+	    }
+
+	    for (var i=0; i < res.length; i++) {
 			  
-				var startDate = Date.parseExact( res[i]['startDate'], User.preferences.dateFormat );
-				var endDate   = Date.parseExact( res[i]['endDate'], User.preferences.dateFormat );
+		var startDate = Date.parseExact( res[i]['startDate'], User.preferences.dateFormat );
+		var endDate   = Date.parseExact( res[i]['endDate'], User.preferences.dateFormat );
 			  
-				var duration = parseInt( endDate.getTime() ) - parseInt( startDate.getTime() );
-		
-				var occurrences = [ startDate.getTime() ];
+		var duration = parseInt( endDate.getTime() ) - parseInt( startDate.getTime() );
+		
+		var occurrences = [ startDate.getTime() ];
 				
-				if( res[i].occurrences )
-				{
-				    occurrences = res[i].occurrences;
-				}
-
-				for( var ii = 0; ii < occurrences.length; ii++ )
-				{
-				    var currentDate = new Date( occurrences[ii] );
-				    var counter = currentDate.clone();
+		if( res[i].occurrences )
+		{
+		    occurrences = res[i].occurrences;
+		}
+
+		for( var ii = 0; ii < occurrences.length; ii++ )
+		{
+		    var currentDate = new Date( occurrences[ii] );
+		    var counter = currentDate.clone();
 				    
-				    var res2 = $.extend( {}, res[i], {'startDate': currentDate.toString( User.preferences.dateFormat ), 'endDate': new Date( occurrences[ii] + duration ).toString( User.preferences.dateFormat ) } );
+		    var res2 = $.extend( {}, res[i], {
+			'startDate': currentDate.toString( User.preferences.dateFormat ), 
+			'endDate': new Date( occurrences[ii] + duration ).toString( User.preferences.dateFormat )
+			} );
 				  
 				  
 				  
 				  
-				    res2.repeat = typeRepeat[res[i].repeat.frequency];
+		    res2.repeat = typeRepeat[res[i].repeat.frequency];
 				  
-				    while (counter.compareTo( currentDate ) == 0) {
-
-					    if (!dates[counter.toString(User.preferences.dateFormat)]) 
-						    dates[counter.toString(User.preferences.dateFormat)] = { startDate:false, events:[] };
-					    if (!dates[counter.toString(User.preferences.dateFormat)].startDate) 
-						    dates[counter.toString(User.preferences.dateFormat)].startDate = counter.toString(User.preferences.dateFormat);
-
-					    dates[counter.toString(User.preferences.dateFormat)].events.push(res2);
-					    counter.addDays(-1);
-				    }      
-				}
-			}
-			res = { events_list: dates,
-					count : res.length
-				};
+		    while (counter.compareTo( currentDate ) == 0) {
+
+			if (!dates[counter.toString(User.preferences.dateFormat)]) 
+			    dates[counter.toString(User.preferences.dateFormat)] = {
+				startDate:false, 
+				events:[]
+			    };
+			if (!dates[counter.toString(User.preferences.dateFormat)].startDate) 
+			    dates[counter.toString(User.preferences.dateFormat)].startDate = counter.toString(User.preferences.dateFormat);
+
+			dates[counter.toString(User.preferences.dateFormat)].events.push(res2);
+			counter.addDays(-1);
+		    }      
 		}
-
-		return notArray ? res[0] : res;
+	    }
+	    res = {
+		events_list: dates,
+		count : res.length
+	    };
+	}
+
+	return notArray ? res[0] : res;
     }
 
@@ -895,9 +981,9 @@
     encoder: function( participants ){
 
-		var result = {};
-		for( var i = 0; i< participants.length; i++ ){
-			result[ participants[i].user.id || participants[i].user ] = participants[i];
-		}
-		return( result );
+	var result = {};
+	for( var i = 0; i< participants.length; i++ ){
+	    result[ participants[i].user.id || participants[i].user ] = participants[i];
+	}
+	return( result );
     }
 });
@@ -907,14 +993,19 @@
     encoder: function( calendars ){
 
-		var result = { my_calendars: [], others_calendars: [] };
-
-		for( var i = 0; i < calendars.length; i++ )
-		{
-			!!Calendar.signatureOf[ calendars[i].id ].isOwner ?
-				result.my_calendars.push( calendars[i] ) :
-				result.others_calendars.push( calendars[i] );
-		}
-
-		return { agendas_usuario: result };
+	var result = {
+	    my_calendars: [], 
+	    others_calendars: []
+	};
+
+	for( var i = 0; i < calendars.length; i++ )
+	{
+	    !!Calendar.signatureOf[ calendars[i].id ].isOwner ?
+	    result.my_calendars.push( calendars[i] ) :
+	    result.others_calendars.push( calendars[i] );
+	}
+
+	return {
+	    agendas_usuario: result
+	};
 
     }
@@ -931,10 +1022,11 @@
 	var res = $.map(evtObj, function( evt ){
 
-		    return { id: evt.id,
-			     summary: evt.title,
-			     startTime: evt.start.getTime(),
-			     endTime: ( !!evt.allDay ? (( evt.end || evt.start ).getTime() + 86400000) :( evt.end || evt.start ).getTime()),
-			     allDay: ( !!evt.allDay ? 1 : 0 )
-			     /*calendar: evt.id && User.calendarOf[ evt.id ].id*/ };
+	    return {
+		id: evt.id,
+		summary: evt.title,
+		startTime: evt.start.getTime(),
+		endTime: ( !!evt.allDay ? (( evt.end || evt.start ).getTime() + 86400000) :( evt.end || evt.start ).getTime()),
+		allDay: ( !!evt.allDay ? 1 : 0 )
+	    /*calendar: evt.id && User.calendarOf[ evt.id ].id*/ };
 	});
 
